/*
    *
    * plugin.cpp - DesQTerm plugin
    *
*/

#include "Plugin.hpp"
#include "SNHost.hpp"

/* Name of the plugin */
QString SNIPlugin::name() {

    return "DesQ SNI";
};

/* Name of the plugin */
QIcon SNIPlugin::icon() {

    return QIcon::fromTheme( "desq" );
};

/* The plugin version */
QString SNIPlugin::version() {

    return QString( "1.0.0" );
};

/* The SNI plugin */
QWidget *SNIPlugin::widget(QWidget *parent) {

    return new StatusNotifierHost( StatusNotifierHost::Horizontal, parent );
};
