/*
    *
    * plugin.cpp - DesQTerm plugin
    *
*/

#pragma once

#include <QtWidgets>

#include <desqui/DesQShellPlugin.hpp>

class SNIPlugin : public QObject, DesQShellPlugin {
    Q_OBJECT

    Q_PLUGIN_METADATA( IID "org.DesQ.Shell.Plugin" )
    Q_INTERFACES( DesQShellPlugin )

    public:
        /* Name of the plugin */
        QString name();

        /* Icon for the plugin */
        QIcon icon();

        /* The plugin version */
        QString version();

        /* The Terminal Widget */
        QWidget *widget( QWidget * );
};
